Subject: Re: bug#17301: 24.3.90; Hang using scroll bar thumb in Compile-Log buffer after packages update

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Apr 2014 18:41:19 +0300

> From: [email-masked] (N. Jackson)
> Date: Sun, 20 Apr 2014 12:30:48 -0300
> 
> The pretest of 24.4 has hung on me. (This is the version from  ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-24.3.90.tar.xz.)
> 
> I still have the process running and it has debugging symbols in, so
> it's plausible (is it?) that I might be able to supply more information.

Please attach a debugger and produce a backtrace, including the Lisp
backtrace (use the "xbacktrace" command for the latter).  Thanks.

> It's been a while since I used a CLI debugger so I need a terse but
> complete primer.

Find out the PID of the Emacs process, a number.  Then:

 $ cd /path/to/emacs/src
 $ gdb -p PID

Once GDB prints its initial blurb and shows its "(gdb)" prompt, type:

 (gdb) bt

If this doesn't end with a Lisp-level backtrace, type:

 (gdb) source ./.gdbinit
 (gdb) xbacktrace